# -*- RPM-SPEC -*-
%define	name	redhat-config-proc
%define	version	0.21

Summary: A configuration tool for operating system tunable parameters
Name:		%{name}
Version:	%{version}
Release: 1
Source: %{name}-%{version}.tar.gz
Group: Applications/System
URL: http://www.redhat.de/
BuildRoot: /var/tmp/%{name}-buildroot
License: GPL
Prefix: /usr
ExcludeArch: ia64
BuildPrereq: gtk+-devel gtk+ libxml-devel desktop-file-utils
Requires: procps usermode
Obsoletes: sysctlconfig

%description
This is a tool for configuring operating system tunable parameters.
It eases modifying /etc/sysctl.conf.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build

%configure
make

%install
%makeinstall
%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mv $RPM_BUILD_ROOT/%{_bindir}/redhat-config-proc $RPM_BUILD_ROOT/%{_sbindir}/redhat-config-proc
ln -s consolehelper $RPM_BUILD_ROOT/%{_bindir}/redhat-config-proc

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/redhat-config-proc <<EOF
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       sufficient	pam_timestamp.so
auth       required	pam_stack.so service=system-auth
session    required	pam_permit.so
session    optional	pam_xauth.so
session    optional	pam_timestamp.so
account    required	pam_permit.so
EOF

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/redhat-config-proc <<EOF
USER=root
FALLBACK=true
PROGRAM=%{_sbindir}/redhat-config-proc
SESSION=true
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor redhat --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category X-Red-Hat-Extra \
    redhat-config-proc.desktop

rm -fr $RPM_BUILD_ROOT/%{_sysconfdir}/X11

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root,root)
%{_bindir}/redhat-config-proc
%{_sbindir}/redhat-config-proc
%{_datadir}/icons
%{_datadir}/redhat-config-proc
%{_datadir}/applications/redhat-config-proc.desktop
%config %{_sysconfdir}/pam.d/redhat-config-proc
%config %{_sysconfdir}/security/console.apps/redhat-config-proc

%changelog
* Tue Dec 11 2002 Harald Hoyer <harald@redhat.de> 0.20-1
- remove unpackaged files

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com>
- removed absolute path references from the PAM configuration file so that it
  can be used by either arch on a multilib system

* Tue Aug  6 2002 Harald Hoyer <harald@redhat.de>
- renamed sysctlconfig -> redhat-config-proc

* Tue Jul 23 2002 Harald Hoyer <harald@redhat.de>
- fixed desktop entries and autofoo

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Mar 25 2002 Harald Hoyer <harald@redhat.de>
- more descriptive text in .desktop (#61806)

* Tue Jan 29 2002 Harald Hoyer <harald@redhat.de>
- more buildprereq

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Harald Hoyer <harald@redhat.com>
- removed vm.freepages (#49529)
- removed ncurses-devel dependency (#49710)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Fri Apr 06 2001 Harald Hoyer <harald@redhat.com>
- added /usr/share/icons to the filelist #34915
- no more values, that do not exist in the current kernel #34924

* Tue Feb 06 2001 Harald Hoyer <harald@redhat.com>
- added german translation
- added RAID settings
- fixed some Makefile.am issues
- added /usr/share/sysctlconfig (#26229)
- fixed lang tags in the spec file

* Fri Jan 05 2001 Yukihiro Nakai <ynakai@redhat.com>
- Gettextized.

* Thu Jan 04 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add Japanese entry to .desktop

* Wed Nov 15 2000 Harald Hoyer <harald@redhat.com>
- excluded IA64

* Tue Nov 11 2000 Harald Hoyer <harald@redhat.com>
- fixed multivalue problems (bdflush)

* Tue Oct 10 2000 Harald Hoyer <harald@redhat.com>
- fixed apply and save procedures

* Wed Sep 06 2000 Harald Hoyer <harald@redhat.com>
- changed bdflush ranges

* Fri Aug 04 2000 Harald Hoyer <harald@redhat.com>
- added tcp_syncookies

* Sun Jul 16 2000 Harald Hoyer <harald@redhat.com>
- removed iopl check
- corrected symlink
- depends on usermode now

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- adjust to new API

* Mon Jun 19 2000 Than Ngo <than@redhat.de>
- add %%defattr

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- ExclusiveArch: i386 i486 i586 i686
- ExcludeArch: ia64 sparc alpha

* Mon Jun 19 2000 Harald Hoyer <harald@redhat.com>
- removed -Werror
- updated for rhclib-18

* Thu Jun 15 2000 Harald Hoyer <harald@redhat.com>
- first real version

* Fri Jun 09 2000 Harald Hoyer <harald@redhat.com>
- initial version
